package jp.kwebs.lib;

import java.awt.Desktop;
import java.net.URI;
/**
 * ウェブページを開く
 * @author t.kawaba
 *
 */
public class Browser {
	/**
	 * 指定したURIのウェブページを開く
	 * @param uriString		開くページのURI
	 */
	public static void openWindow(String uriString) {
		Desktop desktop = Desktop.getDesktop();
		try {
			URI uri = new URI(uriString);
			desktop.browse(uri);
		} catch (Exception e) {
			openWindow("https://k-webs.jp/");
		}		
	}
}
